#layout-sidebar {
    background: $white;
    flex: 0 1 auto;
    position: relative;
    left: 0px;
    margin-right: 5px;
    margin-left: 15px;
    text-align: left;
    min-width: 270px;
}
.sidebar {
    $width: 270px;

    padding-bottom: 7px;
    width: $width;
    z-index: 2;

    border-left: 0;
    display: inline-block;
    flex: 0 0 auto;
    margin-bottom: 1em;
    position: relative;

    .sidebar-image {
        width: $width;
        height: 60px;
        max-height: 60px;

        background-image: url("#{$image-path}/sidebar/noicon-sidebar.png");
        background-size: cover;

        position: relative;
        &-with-context {
            margin-bottom: 0px;
        }

        display: flex;
        align-items: flex-end;
    }

    .sidebar-context {
        flex: 0;

        background-color: rgba(255, 255, 255, 1);
        border: 0px solid $base-color-20;
        padding: 0px;
        max-height: 60px;
    }

    .sidebar-title {
        flex: 1;

        box-sizing: border-box;
        max-height: 60px;
        padding: 12px 15px 0;
        border-bottom: 12px solid transparent;

        color: $white;
        font-size: 1.2em;
        overflow: hidden;
        word-break: break-word;
        position: relative;
        line-height: 1.1;
        text-align: left;
        text-overflow: ellipsis;
        /* it may happen that some browser does not support the following, then (...) won't appear */
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
    }

    .course-avatar-medium,
    .stream-avatar-medium,
    .avatar-medium {
        max-width: 60px;
        height: 60px;
    }
    .sidebar-widget,
    .sidebar-widget-placeholder {
        background: $white;
        border: 1px solid $content-color-40;
        margin: 15px 0px 0;
    }
    .sidebar-widget-header {
        @include clearfix();
        background: $content-color-20;
        color: $base-color;
        font-weight: bold;
        padding: 4px;
    }
    .sidebar-widget-options {
        float: right;
        opacity: 0;
        transition: all 0.5s;
    }
    .sidebar-widget:hover .sidebar-widget-options {
        opacity: 1;
    }

    // Links inside the sidebar
    a.link-intern {
        @include icon(before, link-intern, clickable, 16px, 2px);
    }
    a.link-extern {
        @include icon(before, link-extern, clickable, 16px, 2px);
    }

    // Prevent selects from growing too large
    select {
        max-width: 100%;
    }
}

ul.widget-list {
    list-style: none;
    margin: 0;
    padding: 0;
    > li {
        background-repeat: no-repeat;
        background-position: 0 1px;
        background-size: 16px 16px;
        padding-left: 20px;
        word-wrap: break-word;
    }
}
div#sidebar-navigation {
    div.sidebar-widget-header {
        display: none;
    }
    div.sidebar-widget-content {
        border-top: 0px;
    }
}
.widget-links {
    margin: 5px;
    > li img {
        vertical-align: text-top;
    }
    a {
        display: block;
    }
    .widget-content a:only-child {
        box-sizing: border-box;
        line-height: 16px;
    }
    span[disabled] {
        color: $dark-gray-color-80;
        cursor: not-allowed;
        font-weight: lighter;
    }
    &.sidebar-navigation > li.active {
        background-color: $base-color;
        margin-left: -4px;
        //#arrow > .right-border(14px, $content-color-20, 1px, $content-color-40, -5px);
        @include arrow-right-border(14px, $base-color, 1px, $base-color, -5px);
        a {
            color: $white;
            padding-left: 4px;
        }
    }
    &.sidebar-views > li.active {
        background: $activity-color-40;
        margin-left: -5px;
        box-shadow: inset 0 0 0 1px $activity-color;
        @include arrow-right-border(14px, $activity-color-40, 1px, $activity-color, -5px);
        a {
            color: $base-color;
            padding-left: 4px;
        }
    }
    &.sidebar-navigation > li,
    &.sidebar-views > li {
        padding-left: 5px;

        &.active {

            line-height: 2em;
            &:before, &:after {
                margin-left: -1px;
            }
            display: block;

            // Obtuse angle looks kinda ugly with borders
            &:before {
                border-left-width: floor((14px * 2 / 3));
            }
            &:after {
                border-left-width: floor((14px * 2 / 3 - 1));
            }
        }
    }

    .link-form {
        display: inline-block;

        button {
            background: transparent;
            border: 0;
            color: $base-color;
            margin: 0;
            padding: 0;

            &:hover {
                color: $active-color;
                cursor: pointer;
            }
        }
    }
}

.sidebar-widget-cloud {
    margin: 0px;
    padding: 0px;
    max-width: 100%;
    overflow: hidden;
    > li { display: inline-block; }
    a.weigh-1 { font-size: 0.7em; }
    a.weigh-2 { font-size: 0.8em; }
    a.weigh-3 { font-size: 0.9em; }
    a.weigh-4 { font-size: 1.0em; }
    a.weigh-5 { font-size: 1.1em; }
    a.weigh-6 { font-size: 1.3em; }
    a.weigh-7 { font-size: 1.5em; }
    a.weigh-8 { font-size: 1.7em; }
    a.weigh-9 { font-size: 1.9em; }
    a.weigh-10 { font-size: 2.1em; }
}

.sidebar-widget {
    background: $white;
    @include clearfix();

    .widget-options {
        list-style: none;
        margin: 0;
        padding: 0;

        > li {
            line-height: 1.5em;
            margin-left: 0;
            padding-left: 0;
        }

        .options-checkbox {
            background-repeat: no-repeat;
            background-position: left 2px;
            display: block;
            padding-left: 20px;

            &.options-checked {
                @include background-icon(checkbox-checked);
            }
            &.options-unchecked {
                @include background-icon(checkbox-unchecked);
            }
        }

        .options-radio {
            background-repeat: no-repeat;
            background-position: left 2px;
            display: block;
            padding-left: 20px;

            &.options-checked {
                @include background-icon(radiobutton-checked);
            }
            &.options-unchecked {
                @include background-icon(radiobutton-unchecked);
            }
        }
    }
}
.sidebar-widget-content {
    border-top: 1px solid $content-color-40;
    overflow-wrap: break-word;
    padding: 4px;
    transition: all 0.5s;
}

.sidebar-widget-header {
    @include clearfix();
    .sidebar-widget-extra {
        float: right;
    }
}

// TODO: These two should be combined into one widget
select.sidebar-selectlist {
    overflow-y: auto;
    width: 100%;
}
.selector-widget select {
    cursor: pointer;
    padding: 0;

    option {
        padding: 0 0.5em;
    }
}

.sidebar-search {
    .needles input[type=text] {
        box-sizing: border-box;
        border: 1px solid $base-color-60;
        border-right-width: 30px;
        float: left;
        height: 22px;
        width: 100%;
    }
    input[type=submit] {
        font: 0/0 a;
        color: transparent;
        text-shadow: none;
        background-color: transparent;
        border: 0;

        // Activate when twitter-mixins is included as scss and remove the above rules
        // @include hide-text();

        width: 29px;
        height: 20px;
        @include background-icon(search, info_alt);
        float: left;
        background-position: center 3px;
        background-repeat: no-repeat;
        vertical-align: top;
        margin-left: -30px;
    }
    ul.needles {
        list-style: none;
        margin: 0;
        padding: 0;
        li {
            @include clearfix();
            margin-bottom: 0.5em;
            &:last-child {
                margin-bottom: 0;
            }
        }
    }
    ul.filters {
        list-style: none;
        margin: 0;
        padding: 0;
        li {
            display: inline-block;
        }
    }
}
